//
//  ViewController.m
//  134187IGChrtCustomTheme
//
//  Created by IGUser on 3/31/14.
//  Copyright (c) 2014 MMAcademy. All rights reserved.
//

#import "ViewController.h"

@interface ViewController ()

@end

@implementation ViewController

- (void)viewDidLoad
{
    [super viewDidLoad];
    
    theme = [self MyCustomTheme];
    
	// Do any additional setup after loading the view, typically from a nib.
    NSMutableArray *data = [[NSMutableArray alloc] init];
    for (int i = 0; i < 25; i++)
    {
        double value = arc4random() % 100;
        [data addObject:[[NSNumber alloc] initWithDouble:value]];
    }
    
    IGCategorySeriesDataSourceHelper *source = [[IGCategorySeriesDataSourceHelper alloc] init];
    source.values = data;
    
    IGChartView *infraChart = [[IGChartView alloc] initWithFrame:self.view.frame];
    [infraChart setAutoresizingMask:UIViewAutoresizingFlexibleWidth|UIViewAutoresizingFlexibleHeight];
    
    IGCategoryXAxis *xAxis = [[IGCategoryXAxis alloc] initWithKey:@"xAxis"];
    IGNumericYAxis *yAxis = [[IGNumericYAxis alloc] initWithKey:@"yAxis"];
    [infraChart addAxis:xAxis];
    [infraChart addAxis:yAxis];
    
    IGLineSeries *lineSeries = [[IGLineSeries alloc] initWithKey:@"lineSeries"];
    lineSeries.xAxis = xAxis;
    lineSeries.yAxis = yAxis;
    lineSeries.dataSource = source;
    
    infraChart.theme = theme;
    
    //infraChart.backgroundColor = [UIColor whiteColor];
    
    [infraChart addSeries:lineSeries];
    [self.view addSubview:infraChart];
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

-(IGChartThemeDefinition*)MyCustomTheme
{
    IGChartThemeDefinition* def = [[IGChartThemeDefinition alloc]init];
    def.name = @"CustomTheme";
    def.font = [UIFont fontWithName:@"Helvetica" size:12];
    def.fontColor = [[IGBrush alloc] initWithR:1 andG:1 andB:1 andA:1];
    def.backgroundColor = [UIColor darkGrayColor];
    
    def.legendFont = [UIFont fontWithName:@"Helvetica" size:12];
    def.legendFontColor = [[IGBrush alloc] initWithR:0 andG:0 andB:0 andA:1];
    def.legendBorderThickness = 1;
    def.legendPalette = [[IGChartPaletteItem alloc]init];
    def.legendPalette.name = @"legend";
    def.legendPalette.color = [[IGBrush alloc] initWithR:0.9 andG:0.9 andB:0.9 andA:1];
    def.legendPalette.outlineColor = [[IGBrush alloc] initWithR:0.7 andG:0.7 andB:0.7 andA:1];
    
    IGChartPaletteItem* item1 = [[IGChartPaletteItem alloc] init];
    item1.name = @"item1";
    item1.outlineColor = [[IGBrush alloc] initWithR:0.14 andG:0.50 andB:0.66 andA:1];
    item1.color = [[IGBrush alloc] initWithR:0.27 andG:0.67 andB:0.84 andA:1];
    [def.seriesPalettes addObject:item1];
    
    IGChartPaletteItem* item2 = [[IGChartPaletteItem alloc] init];
    item2.name = @"item2";
    item2.outlineColor = [[IGBrush alloc] initWithR:0.2 andG:0.2 andB:0.2 andA:1];
    item2.color = [[IGBrush alloc] initWithR:0.29 andG:0.29 andB:0.29 andA:1];
    [def.seriesPalettes addObject:item2];
    
    IGChartPaletteItem* item3 = [[IGChartPaletteItem alloc] init];
    item3.name = @"item3";
    item3.outlineColor = [[IGBrush alloc] initWithR:0.5 andG:0.5 andB:0.5 andA:1];
    item3.color = [[IGBrush alloc] initWithR:.66 andG:.66 andB:.66 andA:1];
    [def.seriesPalettes addObject:item3];
    
    IGChartPaletteItem* item4 = [[IGChartPaletteItem alloc] init];
    item4.name = @"item4";
    item4.outlineColor = [[IGBrush alloc] initWithR:0.09 andG:0.32 andB:0.44 andA:1];
    item4.color = [[IGBrush alloc] initWithR:.13 andG:.43 andB:0.6 andA:1];
    [def.seriesPalettes addObject:item4];
    
    IGChartPaletteItem* item5 = [[IGChartPaletteItem alloc] init];
    item5.name = @"item5";
    item5.outlineColor = [[IGBrush alloc] initWithR:0.53 andG:0.6 andB:0.13 andA:1];
    item5.color = [[IGBrush alloc] initWithR:.64 andG:.73 andB:.16 andA:1];
    [def.seriesPalettes addObject:item5];
    
    IGChartPaletteItem* axis = [[IGChartPaletteItem alloc] init];
    axis.name = @"axis";
    axis.outlineColor = [[IGBrush alloc] initWithR:0.6 andG:0.62 andB:0.64 andA:1];
    axis.color = [[IGBrush alloc] initWithR:0.60 andG:0.62 andB:0.64 andA:1];
    def.axisPalette = axis;
    
    IGChartPaletteItem* plot = [[IGChartPaletteItem alloc] init];
    plot.name = @"plot";
    plot.outlineColor = [[IGBrush alloc] initWithR:0.6 andG:0.62 andB:0.64 andA:1];
    plot.color = [[IGBrush alloc] initWithColor:[UIColor greenColor]];//initWithR:0.60 andG:0.62 andB:0.64 andA:1];
    def.plotAreaPalette = plot;
    
    
    return def;
}

@end
